Bug 1559575 (CVE-2017-18233) - CVE-2017-18233 exempi: Infinite Loop in Chunk class in XMPFiles/source/FormatSupport/RIFF.cpp
Summary: CVE-2017-18233 exempi: Infinite Loop in Chunk class in XMPFiles/source/Format...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-18233
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1559577 1559578 1559603 1574865
Blocks: 1559602
TreeView+ depends on / blocked
 
Reported: 2018-03-22 19:47 UTC by Laura Pardo
Modified: 2019-09-29 14:35 UTC (History)
3 users (show)

Fixed In Version: exempi 2.4.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 19:18:32 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2048 None None None 2019-08-06 12:07:23 UTC

Description Laura Pardo 2018-03-22 19:47:32 UTC
An issue was discovered in Exempi before 2.4.4. An integer overflow in the Chunk class in XMPFiles/source/FormatSupport/RIFF.cpp allows remote attackers to cause a denial of service (infinite loop) via crafted XMP data in a .avi file.


Reference:
https://bugs.freedesktop.org/show_bug.cgi?id=102151

Patch:
https://cgit.freedesktop.org/exempi/commit/?id=65a8492832b7335ffabd01f5f64d89dec757c260

Comment 1 Laura Pardo 2018-03-22 19:48:08 UTC
Created exempi tracking bugs for this issue:

Affects: fedora-all [bug 1559578]

Comment 4 Riccardo Schirone 2018-05-04 08:15:46 UTC
Statement:

This issue did not affect the versions of exempi as shipped with Red Hat Enterprise Linux 6 as they did not include the vulnerable code.

Comment 7 errata-xmlrpc 2019-08-06 12:07:22 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2048 https://access.redhat.com/errata/RHSA-2019:2048

Comment 8 Product Security DevOps Team 2019-08-06 19:18:32 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2017-18233


Note You need to log in before you can comment on or make changes to this bug.